org.springframework.web.reactive.socket

## Enum WebSocketMessage.Type

- java.lang.Object
- - java.lang.Enum<WebSocketMessage.Type>
  - - org.springframework.web.reactive.socket.WebSocketMessage.Type

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketMessage.Type>
  Enclosing class:
    WebSocketMessage

      public static enum WebSocketMessage.Type
      extends Enum<WebSocketMessage.Type>

  WebSocket message types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Binary WebSocket message.
    `PING` WebSocket ping.
    `PONG` WebSocket pong.
    `TEXT` Text WebSocket message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketMessage.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketMessage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final WebSocketMessage.Type TEXT

      Text WebSocket message.

    - #### BINARY

          public static final WebSocketMessage.Type BINARY

      Binary WebSocket message.

    - #### PING

          public static final WebSocketMessage.Type PING

      WebSocket ping.

    - #### PONG

          public static final WebSocketMessage.Type PONG

      WebSocket pong.

  - ### Method Detail

    - #### values

          public static WebSocketMessage.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketMessage.Type c : WebSocketMessage.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketMessage.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null